Show / Hide Table of Contents

# Enum ChannelType

Defines the types of channels.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum ChannelType

### Fields

Name | Description
--- | ---
Category | The channel is a category channel.
DM | The channel is a Direct Message channel.
Group | The channel is a group channel.
News | The channel is a news channel.
Text | The channel is a text channel.
Voice | The channel is a voice channel.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()